LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XStyleLoader2 Interface Reference

extends XStyleLoader interface to import styles from an already opened component. More...

`import"XStyleLoader2.idl";`

Inheritance diagram for XStyleLoader2:

## Public Member Functions
void | loadStylesFromDocument ([in] com::sun::star::lang::XComponent aSourceComponent, [in] sequence< com::sun::star::beans::PropertyValue > aOptions) raises ( com::sun::star::io::IOException )
| loads styles from a given document More...
Public Member Functions inherited from XStyleLoader
void | loadStylesFromURL ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > aOptions) raises ( com::sun::star::io::IOException )
| loads styles from a document at the given URL. More...
sequence< com::sun::star::beans::PropertyValue > | getStyleLoaderOptions ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

extends XStyleLoader interface to import styles from an already opened component.

See also
  com::sun::star::style::XStyleLoader

Since
  LibreOffice 4.4

## Member Function Documentation

## ◆ loadStylesFromDocument()

void loadStylesFromDocument | ( | [in] com::sun::star::lang::XComponent | aSourceComponent,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | aOptions
| ) |  |
raises | ( | com::sun::star::io::IOException
| ) |  |

loads styles from a given document

Parameters

  aSourceComponent | a valid XComponent reference to source document
  aOptions | Specifies which of the Style families the method should load. The `sequence<PropertyValue>` has the following, optional items: boolean LoadCellStyles boolean LoadTextStyles boolean LoadFrameStyles boolean LoadPageStyles boolean LoadNumberingStyles boolean OverwriteStyles If OverwriteStyles is `TRUE`, then all styles will be loaded. Otherwise, only styles which are not already defined in this document are loaded.

As the default, all supported style families are loaded and existing styles are overwritten.

The documentation for this interface was generated from the following file:

- com/sun/star/style/XStyleLoader2.idl